# Class GetConnectionRequest

#### Hierarchy

- unknown
  - GetConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:886
- Defined in src/protobuf/grpc_pb.d.ts:895

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetConnectionRequest(): GetConnectionRequest

- #### Returns GetConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:887

### toObject

- toObject(includeInstance?: boolean): GetConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:888

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:891

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionRequest, reader: BinaryReader): GetConnectionRequest

- #### Parameters

  - ##### message: GetConnectionRequest

  - ##### reader: BinaryReader

  #### Returns GetConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:892

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:890

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetConnectionRequest): GetConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionRequest

  #### Returns GetConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:889

Generated using TypeDoc